%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		synfig
Summary:	Vector-based 2D animation renderer
Version:	0.62.02
Release:	%mkrel 2
Source0:	http://downloads.sourceforge.net/synfig/%{name}-%{version}.tar.gz
Patch0:		synfig-0.62.00-fix-build.patch
URL:		http://www.synfig.org
License:	GPLv2+
Group:		Graphics
BuildRequires:	etl >= 0.04.13
BuildRequires:	libxml++-devel
BuildRequires:	sigc++2.0-devel
BuildRequires:	libltdl-devel
BuildRequires:	gettext
BuildRequires:	cvs
BuildRequires:	png-devel
BuildRequires:	mng-devel
BuildRequires:	jpeg-devel
BuildRequires:	freetype2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	imagemagick-devel
Requires:	libdv-apps
Requires:	imagemagick
Requires:	ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q
%patch0 -p0

%build
# These two fix for the split of libMagick in recent releases - AdamW
#sed -i -e 's.Magick,OptimizeImageTransparency.MagickCore,OptimizeImageTransparency.g' configure.ac
#sed -i -e 's,MagickLib::,MagickCore::,g' src/modules/mod_magickpp/trgt_magickpp.cpp

#autoreconf -fi
#CXXFLAGS='-I /usr/include/ImageMagick' CFLAGS='-I /usr/include/ImageMagick' CPPFLAGS='-I /usr/include/ImageMagick'
%configure2_5x
%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS TODO
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685639
- move synfig-config to a -devel subpackage
- drop old scriptlets

* Mon Apr 18 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655864
- new version 0.62.02
- drop buildroot definition

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615915
- fix build with gcc 4.5
- drop unused patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492149
- New version 0.62.00

* Fri Sep 18 2009 Funda Wang <fwang@mandriva.org> 0.61.09-2mdv2010.0
+ Revision: 444251
- fix build with gcc 4.4

* Sun Oct 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297313
- import synfig


